Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025235
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Return Receiptmajoralways2013-11-28 04:392013-12-20 15:14
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchpiFixed in SCM revisionf4e7089dc442
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025235: RMP29: Over payment entry wrongly appear in the payment in window, after completing the receipt with return line

DescriptionOver payment entry wrongly appear in the payment in window, after completing the receipt with return lines and the total gross amount is lesser than zero (< 0)
Steps To Reproduce1) create a receipt, with return line


a) Product: Adhesive body warmers Qty:1 unit price:3.60 line total amount: 3.60

b) Product: Baby Carrier Qty: -1 unit price: 110.50 line total amount: -110.50 <Return Line>

total gross amount: -106.90

complete the receipt.


2) Navigate to payment in window, and verify the payment details which is created automatically after completing the above receipt

at lines tab one can find two lines at lines tab

a) invoice amount:-106.90 expected amount:-106.90 Received amount: -106.90 GL Item: <Blank>

b) invoice amount:<blank> expected amount:<blank> Received amount: 213.80 Gl Item : VBS Overpayments

Defect: In Payment in window, over payment record wrongly appears.
TagsNo tags attached.
Attached Filespng file icon Overpayment wrongly appears in Payment in window.png [^] (130,999 bytes) 2013-11-28 04:39

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062441)
hgbot (developer)
2013-11-28 13:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f4e7089dc44276cc227f18c5335ed3819137ec37
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Nov 28 13:45:59 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]

Fixed issue 25236. Fixed issue 25235. Now the payment information will be generated correctly for orders with positive and negative lines.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062446)
malsasua (developer)
2013-11-28 15:34

verified
(0062456)
malsasua (developer)
2013-11-28 15:58

changed to fixed in version RMP29
(0062526)
hgbot (developer)
2013-12-04 17:07

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: f4e7089dc44276cc227f18c5335ed3819137ec37
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Nov 28 13:45:59 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]

Fixed issue 25236. Fixed issue 25235. Now the payment information will be generated correctly for orders with positive and negative lines.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062596)
hgbot (developer)
2013-12-05 12:14

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: f4e7089dc44276cc227f18c5335ed3819137ec37
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Nov 28 13:45:59 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]

Fixed issue 25236. Fixed issue 25235. Now the payment information will be generated correctly for orders with positive and negative lines.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062645)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062924)
hgbot (developer)
2013-12-19 19:49

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: f4e7089dc44276cc227f18c5335ed3819137ec37
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Nov 28 13:45:59 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]

Fixed issue 25236. Fixed issue 25235. Now the payment information will be generated correctly for orders with positive and negative lines.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0063021)
guilleaer (developer)
2013-12-20 15:14

reclosed

- Issue History
Date Modified Username Field Change
2013-11-28 04:39 sureshbabu New Issue
2013-11-28 04:39 sureshbabu Assigned To => marvintm
2013-11-28 04:39 sureshbabu File Added: Overpayment wrongly appears in Payment in window.png
2013-11-28 04:39 sureshbabu Triggers an Emergency Pack => No
2013-11-28 13:47 hgbot Checkin
2013-11-28 13:47 hgbot Note Added: 0062441
2013-11-28 13:47 hgbot Status new => resolved
2013-11-28 13:47 hgbot Resolution open => fixed
2013-11-28 13:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]
2013-11-28 15:34 malsasua Review Assigned To => malsasua
2013-11-28 15:34 malsasua Note Added: 0062446
2013-11-28 15:34 malsasua Status resolved => closed
2013-11-28 15:34 malsasua Fixed in Version => RMP30
2013-11-28 15:58 malsasua Status closed => new
2013-11-28 15:58 malsasua Resolution fixed => open
2013-11-28 15:58 malsasua Fixed in Version RMP30 =>
2013-11-28 15:58 malsasua Status new => scheduled
2013-11-28 15:58 malsasua fix_in_branch => pi
2013-11-28 15:58 malsasua Status scheduled => resolved
2013-11-28 15:58 malsasua Resolution open => fixed
2013-11-28 15:58 malsasua Note Added: 0062456
2013-11-28 15:58 malsasua Status resolved => closed
2013-11-28 15:58 malsasua Fixed in Version => RMP29
2013-12-04 17:07 hgbot Checkin
2013-12-04 17:07 hgbot Note Added: 0062526
2013-12-04 17:07 hgbot Status closed => resolved
2013-12-04 17:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]
2013-12-05 12:14 hgbot Checkin
2013-12-05 12:14 hgbot Note Added: 0062596
2013-12-05 12:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]
2013-12-05 17:21 guilleaer Note Added: 0062645
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:49 hgbot Checkin
2013-12-19 19:49 hgbot Note Added: 0062924
2013-12-19 19:49 hgbot Status closed => resolved
2013-12-19 19:49 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/f4e7089dc44276cc227f18c5335ed3819137ec37 [^]
2013-12-20 15:14 guilleaer Note Added: 0063021
2013-12-20 15:14 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker